Here are the requirements for Apple’s new operating system

After Monday’s Apple event, it wasn’t long before the first pre-release versions of Apple’s new operating system were sent out to registered developers.

To upgrade to iOS 14, you must have one of the following devices:

  • Iphone SE‌ (all models)
  • Iphone 11
  • Iphone 11 Pro
  • Iphone 11 Pro Max
  • Iphone XS
  • Iphone XS‌ Max
  • Iphone XR
  • Iphone‌ X
  • Iphone‌ 8
  • Iphone 8 Plus
  • Iphone 7
  • Iphone 7 Plus
  • Iphone 6S
  • Iphone 6S Plus
  • Ipod Touch (7th Generation)

These are the devices that apply to Ipad OS 14:

  • Ipad‌ Pro (all models)
  • Ipad‌ (7th generation)
  • Ipad‌ (6th generation)
  • Ipad‌ (5th generation)
  • Ipad‌ Mini 5
  • Ipad‌ Mini 4
  • Ipad‌ Air (3rd generation)
  • Ipad‌ Air 2

These are the devices that apply to Mac OS 11 Big Sur:

  • Macbook (2015 and later)
  • Macbook Air (2013 and later)
  • Macbook Pro (2013 and later)
  • Mac Mini (2014 and later)
  • Imac (2014 and later)
  • Imac Pro (2017 and later)
  • Mac Pro (2013 and later)

To install Watch OS 7, you need to have Apple Watch Series 3, 4 or 5. In addition, it should be noted that some features only work on the latest models.

As for TV OS 14, you need to have fourth or fifth generation Apple TV, so if you have an older model you can’t upgrade.

The sharp versions of IOS 14, Ipad OS 14, TV OS 14, Watch OS 7 and Mac OS 11 Big Sur are likely to be released to the public sometime in September or October.

Leave a Comment

Your email address will not be published. Required fields are marked *